Show / Hide Table of Contents

# Interface IDMChannel

Represents a generic direct-message channel.

##### Inherited Members

IMessageChannel.SendMessageAsync(String, Boolean, Embed, RequestOptions)
IMessageChannel.SendFileAsync(String, String, Boolean, Embed, RequestOptions, Boolean)
IMessageChannel.SendFileAsync(Stream, String, String, Boolean, Embed, RequestOptions, Boolean)
IMessageChannel.GetMessageAsync(UInt64, CacheMode, RequestOptions)
IMessageChannel.GetMessagesAsync(Int32, CacheMode, RequestOptions)
IMessageChannel.GetMessagesAsync(UInt64, Direction, Int32, CacheMode, RequestOptions)
IMessageChannel.GetMessagesAsync(IMessage, Direction, Int32, CacheMode, RequestOptions)
IMessageChannel.GetPinnedMessagesAsync(RequestOptions)
IMessageChannel.DeleteMessageAsync(UInt64, RequestOptions)
IMessageChannel.DeleteMessageAsync(IMessage, RequestOptions)
IMessageChannel.TriggerTypingAsync(RequestOptions)
IMessageChannel.EnterTypingState(RequestOptions)
IPrivateChannel.Recipients
IChannel.Name
IChannel.GetUsersAsync(CacheMode, RequestOptions)
IChannel.GetUserAsync(UInt64, CacheMode, RequestOptions)
ISnowflakeEntity.CreatedAt
IEntity<UInt64>.Id

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public interface IDMChannel : IMessageChannel, IPrivateChannel, IChannel, ISnowflakeEntity, IEntity<ulong>

### Properties

| Improve this Doc View Source

#### Recipient

Gets the recipient of all messages in this channel.

##### Declaration

    IUser Recipient { get; }

##### Property Value

Type | Description
--- | ---
IUser | A user object that represents the other user in this channel.

### Methods

| Improve this Doc View Source

#### CloseAsync(RequestOptions)

Closes this private channel, removing it from your channel list.

##### Declaration

    Task CloseAsync(RequestOptions options = null)

##### Parameters

Type | Name | Description
--- | --- | ---
RequestOptions | options | The options to be used when sending the request.

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task | A task that represents the asynchronous close operation.